r6889 - trunk/BOOK/general/sysutils

randy at linuxfromscratch.org randy at linuxfromscratch.org
Sat Jul 14 15:28:48 PDT 2007


Author: randy
Date: 2007-07-14 16:28:48 -0600 (Sat, 14 Jul 2007)
New Revision: 6889

Modified:
   trunk/BOOK/general/sysutils/hal.xml
Log:
Modified the Python dependencies in the HAL instructions to better identify what is optional at build-time and what is optional at run-time

Modified: trunk/BOOK/general/sysutils/hal.xml
===================================================================
--- trunk/BOOK/general/sysutils/hal.xml	2007-07-14 22:02:24 UTC (rev 6888)
+++ trunk/BOOK/general/sysutils/hal.xml	2007-07-14 22:28:48 UTC (rev 6889)
@@ -105,7 +105,7 @@
 
     <bridgehead renderas="sect4">Optional (to Build
     <command>hal-device-manager</command>)</bridgehead>
-    <para role="optional"><xref linkend="dbus-python"/></para>
+    <para role="optional"><xref linkend="python"/></para>
 
     <bridgehead renderas="sect4">Optional (to Create Documentation)</bridgehead>
     <para role="optional"><xref linkend="libxml2"/> and
@@ -223,9 +223,10 @@
     <para>Though the only requirement to run the
     <command>hal-device-manager</command> program is installing
     <ulink url="&gnome-download-http;/gnome-python/">
-    GNOME-Python</ulink>, the dependency list is staggering. The following
-    list does not include the dependencies already identified in the BLFS
-    book. For example, <application>libgnome</application> already lists
+    GNOME-Python</ulink> and <xref linkend="dbus-python"/>, the dependency
+    list is staggering. The following list does not include the dependencies
+    already identified in the BLFS book. For example,
+    <application>libgnome</application> already lists 
     <application>GNOME VFS</application>, <application>GConf</application>,
     etc., so they are not repeated here. Note that some of the dependencies
     have their own dependencies, which have their own, and so forth and so
@@ -316,6 +317,9 @@
         </itemizedlist>
 
       </listitem>
+      <listitem>
+        <para><xref linkend="dbus-python"/> (required)</para>
+      </listitem>
     </itemizedlist>
 
     <note>
@@ -327,10 +331,11 @@
       <application>ORBit</application> if you don't plan on installing
       <application>PyORBit</application>. The minimum packages you could
       install to support running <xref linkend="hal-device-manager"/> would be
-      (in this order): <xref linkend="libgnome"/>, <xref linkend="libglade"/>,
+      (in this order): <xref linkend="dbus-python"/>, <xref linkend="ORBit2"/>,
+      <xref linkend="libgnome"/>, <xref linkend="libglade"/>,
+      <ulink url="&gnome-download-http;/pygobject/">PyGObject</ulink>,
       <ulink url="http://www.pygtk.org/">PyGTK</ulink> and <ulink
-      url="&gnome-download-http;/gnome-python/">
-      GNOME-Python</ulink>.</para>
+      url="&gnome-download-http;/gnome-python/">GNOME-Python</ulink>.</para>
     </note>
 
   </sect2>




More information about the blfs-book mailing list